> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/accommodation/add-or-update-room-dynamic-rates.md).

# Add or Update Room Dynamic Rates

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=addOrUpdateRoomDynamicRatesCollection`

Add or update the dynamic rates of venue rooms

#### Request Body

| Name    | Type    | Description                                                        |
| ------- | ------- | ------------------------------------------------------------------ |
| venueId | integer | The unique id of the venue to which the rate plan belongs          |
| items   | array   | The array of items. See Item table below for individual item data. |

{% tabs %}
{% tab title="200 " %}

```
{
  "success": true
}
```

{% endtab %}
{% endtabs %}

NOTE: The dynamic data is only available to venues that integrate with a distribution channel.

### Examples

#### Setting the room dynamic rate for a single date

```javascript
{
    "venueId": 1,
    "items": [
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-01",
            "roomId": 2,
            "barId": 1,
            "cost": 100
        }
    ]
}
```

#### Setting the room dynamic rate for a date range

```javascript
{
    "venueId": 1,
    "items": [
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 2,
            "barId": 1,
            "cost": 100
        },
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 2,
            "barId": 147,
            "cost": 150
        },
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 3,
            "barId": 1,
            "cost": 100
        },
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 3,
            "barId": 147,
            "cost": 100
        }
    ]
}
```

### Returns

| Property | Description                                        | Type    |
| -------- | -------------------------------------------------- | ------- |
| success  | Whether or not the room dynamic rates were updated | boolean |

### Item Details

| Property  | Type    | Required | Description                                                                                                                             |
| --------- | ------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| barId     | integer | required | The unique id of the rate plan to which the dynamic rate applies                                                                        |
| roomId    | integer | required | The unique id of the room to which the rate applies                                                                                     |
| startDate | date    | required | The start date from which the dynamic rate will be set (Date Format)                                                                    |
| endDate   | date    | required | The end date from which the dynamic rate will be set (Date Format)                                                                      |
| cost      | integer | required | The rate amount from startDate to endDate. The amount must either include or exclude tax depending on how the venue has been configured |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/venues/accommodation/add-or-update-room-dynamic-rates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
